### Projeto de pequisa - Entrevista

### Contexto
Entre 2014 e 2016 foi desenvolvida uma plataforma para o Portal do Software Público Brasileiro. O objetivo do projeto era evoluiu um portal já existente adicionando funcionalidades a partir de requisitos préviamente mapeados pelo Ministério do Planejamento. Neste projeto, a plataforma passou a ser formada por diversos sistemas de software livre que foram integrados com a finalidade de atender todos os requisitos e prover facilidades na manutenção e atualização do portal como um todo. O projeto contava com uma equipe de analistas do Ministério do Planejamento, professores-coordenadores da UnB e uma equipe de desenvolvedores formada por alunos-bolsistas da universidade e profissionais do mercado de TI. A equipe do governo tinha sua própria dinâmica de trabalho e processo de desenvolvimento de software guiado por leis e diretrizes da natureza governamental. A equipe de desenvolvedores seguia práticas de desenvolvimento diferentes das do governo. Com auxílio e supervisão de professores (coordenadores do projeto) aplicavam metodólogias mais recentes, estudadas no universo acadêmico, visando melhorar a qualidade e produtividade do produto a ser entregue assim como as relações pessoais entre as equipes. Esta parceria entre duas equipes com processo de desenvolvimento distintos passaram por conflitos e adaptações. Durante os 3 anos de projetos foram pensadas, aplicadas e avaliadas diversas maneiras para conciliar os processos, aprimorar a comunicação e tornar todo o desenvolvimento da plataforma mais claro e transparente para quem acompanhava, gerenciava e desenvolvia a nova plataforma. 

### Qual o Foco:
* Explorar as possíveis maneiras de conciliar equipes com diferentes processos de gerenciamento e desenvolvimento em um projeto.

### Onde eu estou no (qual a minha posição no contexto do) estudo:
* Trabalhando em um projeto temporário de desenvolvimento de software para o governo

### Quais experiências anteriores (backgrounds) e crenças podem causar parcialidade (bias):
* Acreditamos que o desenvolvimento ágil é melhor que o desenvolvimento em cascata
* A equipe de desenvolvedores é maior que a equipe de analistas
* Diferenças de experiências de trabalho: iniciativa privada x estado
* Não temos relação com as burocracias internas no governo em relação ao projeto
* Não temos estabilidade no trabalho e o projeto possui tempo limitado (podendo ser precipitadamente cancelado se ocorrem falhas)
* Apesar de todos trabalharem para o sucesso do projeto, não nos sentíamos realmente unidos/ algumas vezes nos sentíamos rivais?
* A equipe de desenvolvedores era majoritáriamente composta por estudantes, sem experiência no mercado de trabalho
* Não participávamos do lado governamental de decisões, estratégias e relatórios.

### Influências políticas:
* As analistas podem não querer expor os problemas internos ou mostrar descrença ou questionamento sobre seu contexto de trabalho
* Interferência das crenças poíticas/partidárias dos investigadores na relaçào do contexto do projeto e decisões do cliente

### Questões gerais da pesquisa que queremos responder
1. Como harmonizar equipes com processos distintos de desenvolvimento de software em um mesmo projeto?
 * Nível de satisfação dos clientes e motivação dos desenvolvedores (equipe). É possível manter uma equipe motivada e clientes satisfeitos, ambos confortáveis em se comunicar mesmo falando "línguas" diferentes?
2. Como estabelecer uma fronteira entre as questões gerenciais das organizações envolvidas (MPOG e UnB/CDT) e o gestão das equipes de desenvolvimento?
 * Estamos argumentando que o processo de gerenciamento do projeto não necessariamente tem que ser o mesmo e influenciar diretamente na metodologia de desenvolvimento de software.
 * Filtrar overheads de comunicação entre equipes com mentalidade/metodologia diferente
 * "Ceder para vencer"

----

## Entrevista - Questões

### Perfil pessoal e profissional

1. Apresentação: Você poderia fazer uma pequena apresentação pessoal e profissional? Nome, idade, formação, tempo de experiência profissional, tempo no MPOG, setor/cargo atual, setor/cargo na época do projeto.
2. A exemplo do SPB, quais projetos de desenvolvimento de software em parceria entre MPOG e outras instituições você trabalhou?
3. Quais semelhanças e diferenças você consegue identificar entre estes projetos e o SPB?
4. O SPB foi sua primeira experiência de desenvolvimento de software em parceria com uma universidade? Quais vantagens e desvantagens você consegue identificar neste tipo de parceria?

### Sobre o Projeto SPB

#### Organização

5. Inicialmente, como foi estruturado e organizado o projeto? Como era feita a comunicação, acompanhamento? Quem eram os atores/interlocutores?
6. Quais mudanças ocorreram ao longo do projeto em relação a sua formatação inicial?
 7. Para você essas mudanças foram positivas ou negativas? Porque?
 8. Você sentiu dificuldade em se adaptar a estas mudanças? Quais?
9. Ocorreram mudanças no decorrer do projeto em relação aos requisitos iniciais da plataforma? Se sim, você poderia citar algumas? Porque a mudança foi necessária?
 10. Como você descreveria a adaptação da equipe de desenvolvimento da UnB em relação a mudança dos requisitos? 
11. Como eram realizadas as reuniões de planejamento de uma release? Onde, quem participava, quais objetivos, o que se discutia, quais dificuldades...
12. Como era feito o acompanhamento do desenvolvimento da release?
13. O planejamento e acompanhamento realizado no projeto era semelhante ao do MPOG? 
 14. AS diferenças impactavam no desempenho do seu trabalho? Se sim, de que maneira?

#### Comunicação

15. De que maneira/por qual meio, você interagia com a equipe da UnB? Quem eram as pessoas/papéis na equipe da UnB que você mais interagia?
16. Você interagia com os seniors do projeto? Quando essas interações ocorriam, qual meio de comunicação era utilizado e qual era o motivo deste contato?
17. Você interagia com os alunos do projeto? Quando essas interações ocorriam, qual meio de comunicação era utilizado e qual era o motivo deste contato?
18. Como você pode descrever a comunicação entre o MPOG e a coordenação da equipe da UnB?
19. Como você pode descrever a comunicação entre o MPOG e a equipe de desenvolvimento?
20. Na organização da equipe de desenvolvimento, foram criados times específicos para cada software integrante da plataforma. Você se sentia atualizada com essas mudanças? Você sabia quem era quem durante a comunicação/interação? Você acredita que este conhecimento era importante / influênciava nas suas atividades de acompanhamento do projeto?
21. Ao longo do projeto, você sentiu que a comunicação melhorou ou piorou entre MPOG e equipe de desenvolvimento? A que fatores se deve isso?
 22. Você consegue se recordar de alguma interação entre as equipes que foi negativa ou difícil de lidar?
 24. Você consegue se recordar de algumas interação que foi positiva ou suave/esclarecedora?

#### Metodologia de entrega/processo de desenvolvimento

25. Em linhas gerais, como é o processo de desenvolvimento de software no MPOG? Como e quando são definidas os requisitos do software, como é feito o acompanhamento e como é feita a validação/homologação?
26. Como foi feita a concepção, o processo de desenvolvimento e manutenção da antiga plataforma do SPB?
27. Quais diferenças existiam entre este processo interno e o processo realizado pela equipe da UnB?
 28. Quais dificuldades/conflitos entre o processo de desenvolvimento do MPOG e do time da UnB eram mais impactantes para o trabalho/responsabilidade de vocês no MPOG? O que foi feito para amenizar este impacto?
 29. O processo incremental de desenvolvimento lhe trazia dificuldades ou incômodos? Por exemplo? 
30. Na sua opinião, foi possível conciliar o processo de desenvolvimento mantido pelo MPOG e o processo de desenvolvimento mantido pela UnB? O que foi necessário adaptar para conciliar o que era exigido internamente pelo MPOG e as informações coletadas durante o desenvolvimento?
31. Ao longo do projeto, o MPOG passou a estar com mais frequência na universidade e participar presencialmente no laboratório das reuniões de planejamento e entrega. Quais vantagens e desvantagens você via nessa interação? Isso impactou de alguma maneira a qualidade o feedback e validação das funcionalidades? 
32. Na homologação de uma entrega, como você descreveria a capacidade da equipe em corrigir/modificar uma funcionalidade a partir dos feedbacks do MPOG?
33. Em geral, qual era a satisfação do MPOG em relação ao que tinha sido planejado e o que foi entrega no final de cada release? Porque?

#### A plataforma do SPB
34. Quão satisfeitos o MPOG e os usuários estavam em relação a plataforma anterior? Ela atendia os requisitos previamente planejado? Quais eram as principais queixas/novas solcitações?
35. Como você descreveria a plataforma desenvolvida para o SPB?
36. Você acha que a complexidade da plataforma está condizente com as suas funcionalidades?
37. Você teve dificuldade em compreender as ferramentas ou a plataforma como um todo? Exemplos?
38. Você sente confiança em relação ao código entregue?
39. Você sente confiança em relação as funcionalidades da plataforma?

#### Considerações finais
40. Se você tivesse que avaliar uma futura parceria entre MPOG e universidade, quais pontos você estaria mais atenta e porque? Quais conselhos você daria a equipe do MPOG que faria o acompanhamento do projeto?
